FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian KDE

 
 
LinkBack Thread Tools
 
Old 09-09-2010, 07:57 PM
George Kiagiadakis
 
Default KDE SC 4.5.1 packages available

Hello,

Semi-official KDE SC 4.5.1 packages are now available at
http://qt-kde.debian.net/. Enjoy!

Unfortunately not all of the packages are ready yet, so you may notice
that some things are missing. The missing source packages at the
moment are kdeaccessibility, kdeadmin, kdegames, kdemultimedia,
kdebindings, kdetoys, kdewebdev and kde-l10n as well as meta-kde (the
kde-standard and misc metapackages). Despite this, you can upgrade
everything else just fine from your existing KDE SC 4.4.5 using the
instructions given on that site.

Once all the packages are prepared and working, we plan to release
them to Debian experimental. Until then, any updates or new prepared
packages will go to this repository.

We appologize for the long delay since 4.5.0 was released, but I hope
you understand the reasons behind this (getting squeeze ready, work,
real life, summer vacations, few active people in the team, etc...)

To all the people out there that offered to help: We appreciate your
offer and we appologise for the lack of proper documentation.
Packaging KDE SC is not an easy task and newcomers are usually advised
to try packaging something smaller first, like something from
kde-apps.org. We will try to make things better in the future, by
documenting better our workflows and policies. If you still would like
to help, as you can see, there is still work to do. Besides packaging,
there are other things you could do, such as update copyright files
(which I find easier, but more time-consuming).

Best regards,
George


PS: Please read well the instructions and please report packaging bugs
only here and on irc, not on the debian bug tracking system. Thanks in
advance.


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTim29NNt9k+CarL_zWmeNKmds-Z2KxcpXdHKN7G3@mail.gmail.com">http://lists.debian.org/AANLkTim29NNt9k+CarL_zWmeNKmds-Z2KxcpXdHKN7G3@mail.gmail.com
 
Old 09-10-2010, 12:00 AM
Mark Purcell
 
Default KDE SC 4.5.1 packages available

On Friday 10 September 2010 05:57:14 George Kiagiadakis wrote:
> Semi-official KDE SC 4.5.1 packages are now available at
> http://qt-kde.debian.net/. Enjoy!

Great work George.

Mark
 
Old 09-10-2010, 08:12 AM
Kyle Kearney
 
Default KDE SC 4.5.1 packages available

Just finished installing it and things already feel faster (could just be placebo effect...) - thanks for your great work!

On Thursday 09 September 2010 12:57:14 pm George Kiagiadakis wrote:
> Hello,
>
> Semi-official KDE SC 4.5.1 packages are now available at
> http://qt-kde.debian.net/. Enjoy!
>
> Unfortunately not all of the packages are ready yet, so you may notice
> that some things are missing. The missing source packages at the
> moment are kdeaccessibility, kdeadmin, kdegames, kdemultimedia,
> kdebindings, kdetoys, kdewebdev and kde-l10n as well as meta-kde (the
> kde-standard and misc metapackages). Despite this, you can upgrade
> everything else just fine from your existing KDE SC 4.4.5 using the
> instructions given on that site.
>
> Once all the packages are prepared and working, we plan to release
> them to Debian experimental. Until then, any updates or new prepared
> packages will go to this repository.
>
> We appologize for the long delay since 4.5.0 was released, but I hope
> you understand the reasons behind this (getting squeeze ready, work,
> real life, summer vacations, few active people in the team, etc...)
>
> To all the people out there that offered to help: We appreciate your
> offer and we appologise for the lack of proper documentation.
> Packaging KDE SC is not an easy task and newcomers are usually advised
> to try packaging something smaller first, like something from
> kde-apps.org. We will try to make things better in the future, by
> documenting better our workflows and policies. If you still would like
> to help, as you can see, there is still work to do. Besides packaging,
> there are other things you could do, such as update copyright files
> (which I find easier, but more time-consuming).
>
> Best regards,
> George
>
>
> PS: Please read well the instructions and please report packaging bugs
> only here and on irc, not on the debian bug tracking system. Thanks in
> advance.
>
>
>


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009100112.31680.elyk53@gmail.com">http://lists.debian.org/201009100112.31680.elyk53@gmail.com
 
Old 09-10-2010, 09:02 AM
Dietz Pröpper
 
Default KDE SC 4.5.1 packages available

George Kiagiadakis:
> Hello,
>
> Semi-official KDE SC 4.5.1 packages are now available at
> http://qt-kde.debian.net/. Enjoy!

Nice :-)

After playing with it for 1/2 hour (and rollback to unstable ;-)
I have seen the following problems:

- digikam from unstable crashes (the kde term for "crash" should be "krash"
imho ;-) on startup.
- marble (from 4.5.1) crashes on startup too.

regards
Dietz


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009101102.39609.dietz@rotfl.franken.de">http://lists.debian.org/201009101102.39609.dietz@rotfl.franken.de
 
Old 09-10-2010, 10:36 AM
Martin Steigerwald
 
Default KDE SC 4.5.1 packages available

Am Donnerstag 09 September 2010 schrieb George Kiagiadakis:
> Hello,

Hello George,

> Semi-official KDE SC 4.5.1 packages are now available at
> http://qt-kde.debian.net/. Enjoy!
>
> Unfortunately not all of the packages are ready yet, so you may notice
> that some things are missing. The missing source packages at the
> moment are kdeaccessibility, kdeadmin, kdegames, kdemultimedia,
> kdebindings, kdetoys, kdewebdev and kde-l10n as well as meta-kde (the
> kde-standard and misc metapackages). Despite this, you can upgrade
> everything else just fine from your existing KDE SC 4.4.5 using the
> instructions given on that site.
>
> Once all the packages are prepared and working, we plan to release
> them to Debian experimental. Until then, any updates or new prepared
> packages will go to this repository.

WOW! Thanks a lot. Installing currently. The following packages are to be
removed:

- kdebluetooth
- kappfinder
- plasma-widget-smooth-tasks

Nothing too serious. ;-)

I like that Digikam and Amarok remain installable.

Thanks a lot for your efforts.

I wonder about ATI Radeon related issues:

http://wiki.archlinux.org/index.php/KDE#KDE_4.5_specific_graphics.27_issues

http://blog.martin-graesslin.com/blog/2010/09/driver-dilemma-in-kde-
workspaces-4-5/

Let's see. I am using Radeon DRM/KMS already. Just in case it maybe is
enough to deactivate the blur and/or the lanczos filter.

> We appologize for the long delay since 4.5.0 was released, but I hope
> you understand the reasons behind this (getting squeeze ready, work,
> real life, summer vacations, few active people in the team, etc...)

No need to apologize. You are doing *great* work. Thanks a lot.

I will use KDE SC 4.5.1 on my laptop, and continue to use KDE 4.4.5 on my
workstation so that both will get some test coverage.

Ciao,
--
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA B82F 991B EAAC A599 84C7
 
Old 09-10-2010, 10:58 AM
George Kiagiadakis
 
Default KDE SC 4.5.1 packages available

On Fri, Sep 10, 2010 at 1:36 PM, Martin Steigerwald <Martin@lichtvoll.de> wrote:
> WOW! Thanks a lot. Installing currently. The following packages are to be
> removed:
>
> - kdebluetooth

kdebluetooth is deprecated, even if you are on 4.4.5, I strongly
suggest that you remove it and install bluedevil. I am going to
provide a transitional package as well very soon.

> - kappfinder

This is also deprecated, it has been removed from upstream sources.

> - plasma-widget-smooth-tasks

I had no idea this one was packaged. I'll see if I can rebuild it.


> I wonder about ATI Radeon related issues:
>
> http://wiki.archlinux.org/index.php/KDE#KDE_4.5_specific_graphics.27_issues
>
> http://blog.martin-graesslin.com/blog/2010/09/driver-dilemma-in-kde-
> workspaces-4-5/
>
> Let's see. I am using Radeon DRM/KMS already. Just in case it maybe is
> enough to deactivate the blur and/or the lanczos filter.

I am also using Radeon with KMS and I haven't noticed any serious
problems. It feels like it did in 4.4.5. However, I must say I am
using mesa 7.9-git, not the one in the debian archive.

Regards,
George


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTinsUN-7w28hZbLB+vLF_ramJkQG1FWYeoTzYFYY@mail.gmail.com"> http://lists.debian.org/AANLkTinsUN-7w28hZbLB+vLF_ramJkQG1FWYeoTzYFYY@mail.gmail.com
 
Old 09-10-2010, 11:05 AM
George Kiagiadakis
 
Default KDE SC 4.5.1 packages available

On Fri, Sep 10, 2010 at 12:02 PM, Dietz Pröpper <dietz@rotfl.franken.de> wrote:
> George Kiagiadakis:
>> Hello,
>>
>> Semi-official KDE SC 4.5.1 packages are now available at
>> http://qt-kde.debian.net/. Enjoy!
>
> Nice :-)
>
> After playing with it for 1/2 hour (and rollback to unstable ;-)
> I have seen the following problems:
>
> - digikam from unstable crashes (the kde term for "crash" should be "krash"
> *imho ;-) on startup.
> - marble (from 4.5.1) crashes on startup too.
>

Marble seems to work just fine here. I'll check digikam as well... Do
you have any backtraces?


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTimJfg=oyyo1b9tUD_PJ=xhpzBu4Zm-VGUqM0oaz@mail.gmail.com">http://lists.debian.org/AANLkTimJfg=oyyo1b9tUD_PJ=xhpzBu4Zm-VGUqM0oaz@mail.gmail.com
 
Old 09-10-2010, 12:31 PM
Zsolt Rizsanyi
 
Default KDE SC 4.5.1 packages available

Hi,

On Thu, Sep 9, 2010 at 9:57 PM, George Kiagiadakis
<kiagiadakis.george@gmail.com> wrote:
> Semi-official KDE SC 4.5.1 packages are now available at
> http://qt-kde.debian.net/. Enjoy!

Just installed it and run into an issue. Solved it, but I want to
share the solution, because I could not find any with google.

After logging in everything looked good (plasma desktop was
initialized), but the panel was missing. After some examination it
turned out, that it is just hidden - notifications appeared in the
upper left corner of the desktop. Tried to find some way to move back
the panel into view, but there was no GUI way for that.

In the end I have just stopped the plasma with kquitapp
plasma-desktop, edited the configuration
.kde/share/config/plasma-desktop-appletsrc and restarted
plasma-desktop. I had to find the containment where plugin=panel and
change the screen value from -1 to 0.

I suppose all this happened to me because I was experimenting with
attaching a projector as a second screen.

Hope this helps somebody.

Regards,
Zsolt


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTi=i_csSMU46Vxxb2=zCTQmgQ9c-Lz=w0BA1XQJz@mail.gmail.com">http://lists.debian.org/AANLkTi=i_csSMU46Vxxb2=zCTQmgQ9c-Lz=w0BA1XQJz@mail.gmail.com
 
Old 09-10-2010, 12:35 PM
Dietz Pröpper
 
Default KDE SC 4.5.1 packages available

George Kiagiadakis:
> On Fri, Sep 10, 2010 at 12:02 PM, Dietz Pröpper <dietz@rotfl.franken.de>
wrote:
> > - digikam from unstable crashes (the kde term for "crash" should be
> > "krash" imho ;-) on startup.
> > - marble (from 4.5.1) crashes on startup too.
>
> Marble seems to work just fine here. I'll check digikam as well... Do
> you have any backtraces?

Unfortunately not. And just no time atm to go to 4.5.1 again to check.


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009101435.44679.dietz@rotfl.franken.de">http://lists.debian.org/201009101435.44679.dietz@rotfl.franken.de
 
Old 09-10-2010, 12:53 PM
Zsolt Rizsanyi
 
Default KDE SC 4.5.1 packages available

On Fri, Sep 10, 2010 at 2:35 PM, Dietz Pröpper <dietz@rotfl.franken.de> wrote:
> George Kiagiadakis:
>> On Fri, Sep 10, 2010 at 12:02 PM, Dietz Pröpper <dietz@rotfl.franken.de>
> wrote:
>> > - digikam from unstable crashes (the kde term for "crash" should be
>> > "krash" imho ;-) on startup.
>> > - marble (from 4.5.1) crashes on startup too.
>>
>> Marble seems to work just fine here. I'll check digikam as well... Do
>> you have any backtraces?
>
> Unfortunately not. And just no time atm to go to 4.5.1 again to check.

Marble crashes on startup for me too. Here is a backtrace:
Thread 3 (Thread 0xb1362b70 (LWP 4221)):
#0 0xb4572e16 in *__GI_clock_gettime (clock_id=-1269338124,
tp=0xb1361fb8) at ../sysdeps/unix/clock_gettime.c:100
#1 0xb6a631db in ?? () from /usr/lib/libQtCore.so.4
#2 0xb6a68435 in ?? () from /usr/lib/libQtCore.so.4
#3 0xb6a6847a in ?? () from /usr/lib/libQtCore.so.4
#4 0xb6a662e8 in ?? () from /usr/lib/libQtCore.so.4
#5 0xb6a66375 in ?? () from /usr/lib/libQtCore.so.4
#6 0xb44e47ca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7 0xb44e4be9 in ?? () from /lib/libglib-2.0.so.0
#8 0xb44e51b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9 0xb6a660df in
QEventDispatcherGlib:rocessEvents(QFlags<QEventL oop::ProcessEventsFlag>)
() from /usr/lib/libQtCore.so.4
#10 0xb6a38b19 in
QEventLoop:rocessEvents(QFlags<QEventLoop::Proce ssEventsFlag>) ()
from /usr/lib/libQtCore.so.4
#11 0xb6a38f6a in
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsF lag>) () from
/usr/lib/libQtCore.so.4
#12 0xb693b629 in QThread::exec() () from /usr/lib/libQtCore.so.4
#13 0xb6a1895b in ?? () from /usr/lib/libQtCore.so.4
#14 0xb693dfbe in ?? () from /usr/lib/libQtCore.so.4
#15 0xb458e955 in start_thread (arg=0xb1362b70) at pthread_create.c:300
#16 0xb5b8e10e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

It is a segfault.

Not sure how did glib get into this backtrace I don't have time to
now to try to find out.
BTW which version of Qt are you using? My Qt version is 4:4.6.3-1+b1
and libglib2.0-0 2.24.1-1. I can try some other versions if needed.

Regards,
Zsolt


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTi=g_503JLmQpriv7-VDZgN322vh526tjFN_mV-G@mail.gmail.com">http://lists.debian.org/AANLkTi=g_503JLmQpriv7-VDZgN322vh526tjFN_mV-G@mail.gmail.com
 

Thread Tools




All times are GMT. The time now is 07:39 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org